#include "EzcaScan.h"
extern chandata **chanlist;

extern int cagetTypeCount(int n,char **name,int *type,int *count);
int cagetTypeCount(int n,char **name,int *type,int *count)
{
int err=0;
  extern int Ezca_getTypeCount(int,char **,int *,int *);
  err = Ezca_getTypeCount(n,name,type,count);
}

extern int cagetArray(int n,char **name,int type,int count,void *value);
int cagetArray(int n,char **name,int type,int count,void *value)
{
int err=0;
  extern int Ezca_getArrayEvent(int,char **,int,int,void *);
  err = Ezca_getArrayEvent(n,name,type,count,value);
}

extern int caputArray(int n,char **name,int type,int count,void *value);
int caputArray(int n,char **name,int type,int count,void *value)
{
int err=0;
  extern int Ezca_putArray(int,char **,int,int,void *);
  err = Ezca_putArray(n,name,type,count,value);
}

extern int caTimeStamp(char *name,char *str);
int caTimeStamp(char *name,char *str)
{
int err=0;
  extern int Ezca_timeStamp(char *,char *);
  err = Ezca_timeStamp(name,str);
}

extern int caVersion(char *str);
int caVersion(char *str)
{
int err=0;
  extern int Ezca_version(char *);
  err = Ezca_version(str);
}

extern int caInit(int flag);
int caInit(int flag)
{
int err=0;
  extern int Ezca_init(int);
  err = Ezca_init(flag);
}

extern int caMonitorAdd(int no,char **pv);
int caMonitorAdd(int no,char **pv)
{
int err=0;
  extern int Ezca_monitorArrayAdd(int,char **);
  err = Ezca_monitorArrayAdd(no,pv);
}

extern int caMonitorClear(int no,char **pv);
int caMonitorClear(int no,char **pv)
{
int err=0;
  extern int Ezca_monitorArrayClear(int,char **);
  err = Ezca_monitorArrayClear(no,pv);
}

extern int caMonitorGetEvent(int no,char **pv,int *vals);
int caMonitorGetEvent(int no,char **pv,int *vals)
{
int err=0;
  extern int Ezca_monitorArrayCheck(int,char **,int *);
  err = Ezca_monitorArrayCheck(no,pv,vals);
}

extern int caMonitorGetValue(int no,char **pv,double *vals);
int caMonitorGetValue(int no,char **pv,double *vals)
{
int err=0;
  extern int Ezca_monitorArrayGet(int,char **,double *);
  err = Ezca_monitorArrayGet(no,pv,vals);
}

extern int caDebug(int flag);
int caDebug(int flag)
{
int err=0;
  extern int Ezca_debug(int);
  err = Ezca_debug(flag);
}

